import nuke

def nuke_version_corresponds(nuke_version):
    current_nuke_version = str(nuke.NUKE_VERSION_MAJOR) + '.' + str(nuke.NUKE_VERSION_MINOR)
    return current_nuke_version == nuke_version

def os_corresponds(os):
    from sys import platform
    if os == 'Windows':
        return platform == 'win32'
    if os == 'macOS':
        return platform == 'darwin'
    if os == 'Linux':
        return platform == 'linux' or platform == 'linux2'
    assert(False)

def check_nuke_version_and_os(nuke_version, os):
    if not os_corresponds(os):
        return False
    if not nuke_version_corresponds(nuke_version):
        return False
    return True

if check_nuke_version_and_os('11.3', 'Linux'):
    nuke.pluginAddPath('./Libraries')
    nuke.load('ZeissLensCorrection')
else:
    print('Loading ZeissLensCorrection for Nuke 11.3 (Linux) was skipped.')
